#include <QMetaObject>
#include <QObject>
#include <QCoreApplication>
#include <QtRemoteObjects>
#include <QDebug>

#include "KeyGeneratorServerClass.h"
#include "rep_KeyGenerator_source.h"

int main(int argc, char *argv[])
{
	QCoreApplication a(argc, argv);

	QScopedPointer<QRemoteObjectHost> server;
	QScopedPointer<KeyGeneratorServerClass> serverClass;

	server.reset();
	server.reset(new QRemoteObjectHost(QUrl("tcp://127.0.0.1:9999")));
	serverClass.reset(new KeyGeneratorServerClass());
	server->enableRemoting(serverClass.data());

	return a.exec();
}
